DELPHI盒子
!实时搜索: 盒子论坛 | 注册用户 | 修改信息 | 退出
检举帖 | 全文检索 | 关闭广告 | 捐赠
技术论坛
 用户名
 密  码
自动登陆(30天有效)
忘了密码
≡技术区≡
DELPHI技术
移动应用开发
Web应用开发
数据库专区
报表专区
网络通讯
开源项目
论坛精华贴
≡发布区≡
发布代码
发布控件
文档资料
经典工具
≡事务区≡
网站意见
盒子之家
招聘应聘
信息交换
论坛信息
最新加入: kmh
今日帖子: 19
在线用户: 20
导航: 论坛 -> DELPHI技术 斑竹:liumazi,sephil  
作者:
男 ken0137 (顺眼即佛) ★☆☆☆☆ -
普通会员
2020/8/26 15:39:11
标题:
Linux调试是不是不支持Deepin系统? 浏览:415
加入我的收藏
楼主: 在虚拟机里装了一个Deepin的系统V20 beta,运行了Paserver
然后使用10.4 Lite新建了一个程序调试,
结果出现下图所示,请教是何原因
此帖子包含附件:
JPEG 图像
大小:68.8K
----------------------------------------------
只会简单使用,并未精通深入
作者:
男 supermay (supermay) ★☆☆☆☆ -
盒子活跃会员
2020/8/26 15:49:30
1楼: 有图吗?
----------------------------------------------
https://shop66090024.taobao.com/?spm=a313o.7775905.1998679131.d0011.6f6f2796Z7e3JX
作者:
男 ken0137 (顺眼即佛) ★☆☆☆☆ -
普通会员
2020/8/26 15:50:23
1楼: 帖子发了一半竟然断网了,只能手机编辑回帖,附件不能上传手机拍的jpeg格式的图片,我也是醉了,
图片里的错误提示是,20 Beta 不是有效的整形值,“20 Beta” is not a valid integer value
----------------------------------------------
只会简单使用,并未精通深入
作者:
男 keymark (keymark) ▲△△△△ -
注册会员
2020/8/27 8:48:33
2楼: Paserver 能运行就能调试
当然你得会设置 编译用的那些目录 sdk  gcc 啥的。
----------------------------------------------
播客
作者:
男 wenyue0811 (wenyue0811) ★☆☆☆☆ -
普通会员
2020/8/27 9:50:25
3楼: select SDK....
deepin 20 beta     是用不的..

变通法.你可装 DEEPIN 15.11, 然后用 15.11 的 SDK, 一样在 DEEPIN 20中使用.

或者 使用 最新的刚升过级的 DEEPIN 20版本,(不是BETA). 或者用 UOS 个人版本.
----------------------------------------------


美国国务卿蓬佩奥回答大学生提问时说,“我曾担任美国中央情报局(CIA)的局长。我们撒谎、我们欺骗、我们偷窃。我们还有一门课程专门来教这些。这才是美国不断探索进取的荣耀
作者:
男 ken0137 (顺眼即佛) ★☆☆☆☆ -
普通会员
2020/8/27 10:05:33
4楼: 谢谢楼上的答疑解惑,请问这个select an SDK Version里的内容是怎么来的,它是自动读取虚拟机里的系统吗?这个SDK又在哪里存放?

wenyue0811,15.11能用,是因为PAserver支持这个版本是吗?
----------------------------------------------
只会简单使用,并未精通深入
作者:
男 rzh ( ) ★☆☆☆☆ -
盒子活跃会员
2020/8/27 10:36:18
5楼: deepin 20 beta也是可以用的, 不过要在deepin里, 把beta字样去掉, 因为delphi只支持数值版本号
----------------------------------------------
-
作者:
男 ken0137 (顺眼即佛) ★☆☆☆☆ -
普通会员
2020/8/27 10:55:58
6楼:  rzh,这个bate要怎么修改才会没有?
----------------------------------------------
只会简单使用,并未精通深入
作者:
男 rzh ( ) ★☆☆☆☆ -
盒子活跃会员
2020/8/27 11:27:04
7楼: 修改/etc/os-release即可
----------------------------------------------
-
作者:
男 wenyue0811 (wenyue0811) ★☆☆☆☆ -
普通会员
2020/8/27 14:50:51
8楼:

使用最新的 DEEPIN V20 1001 版本就可以没事了.
----------------------------------------------


美国国务卿蓬佩奥回答大学生提问时说,“我曾担任美国中央情报局(CIA)的局长。我们撒谎、我们欺骗、我们偷窃。我们还有一门课程专门来教这些。这才是美国不断探索进取的荣耀
作者:
男 ken0137 (顺眼即佛) ★☆☆☆☆ -
普通会员
2020/8/27 16:21:59
9楼: 谢谢各位楼上,我明白了
----------------------------------------------
只会简单使用,并未精通深入
作者:
男 ken0137 (顺眼即佛) ★☆☆☆☆ -
普通会员
2020/8/28 11:00:00
10楼:
@rzh 我发现这个文件其实实在usr/lib下,但是目前都是只读权限,要如何才能在deepin内提升权限,去修改它?
----------------------------------------------
只会简单使用,并未精通深入
作者:
男 keymark (keymark) ▲△△△△ -
注册会员
2020/8/28 12:45:57
11楼: https://blog.csdn.net/guanripeng/article/details/79630619
----------------------------------------------
播客
作者:
男 ken0137 (顺眼即佛) ★☆☆☆☆ -
普通会员
2020/8/28 15:40:47
12楼: 谢谢keymark的回复,这个我之前也百度找到过,然后就是其实我也是头一次用Linux系统,所以就不知道接下来,要怎么做才能修改那个文件了,
我试着输入,提示权限不够
root@administrator-PC:/usr/lib# ./os-release
bash: ./os-release: 权限不够
----------------------------------------------
只会简单使用,并未精通深入
作者:
男 wenyue0811 (wenyue0811) ★☆☆☆☆ -
普通会员
2020/8/28 18:47:27
13楼: ????

   好像  DEEPIN 15.11, 和 V20 的, 在文件夹上单击右键, 菜单里选<使用管理员权限打开>(好像是这行字,反正差不多).然后在对话框里输入 你登录系统时使用的 PASSWORD, 就可以了啊..
----------------------------------------------


美国国务卿蓬佩奥回答大学生提问时说,“我曾担任美国中央情报局(CIA)的局长。我们撒谎、我们欺骗、我们偷窃。我们还有一门课程专门来教这些。这才是美国不断探索进取的荣耀
作者:
男 keymark (keymark) ▲△△△△ -
注册会员
2020/8/28 21:06:30
14楼: sudo vi /etc/os-release
sudo nano /etc/os-release
----------
vi /home/xxx/123.txt
nano /home/xxx/.Nxxxx
我个人选nano
我不用DEEPIN  所以不能录个gif了。
----------------------------------------------
播客
信息
登陆以后才能回复
Copyright © 2CCC.Com 盒子论坛 v2.1 版权所有 页面执行23.4375毫秒 RSS